Package org.lwjgl.opengl

# Class ARBTransformFeedback3

java.lang.Object
org.lwjgl.opengl.ARBTransformFeedback3

public final class ARBTransformFeedback3 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_TRANSFORM_FEEDBACK_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static final int`
`GL_MAX_VERTEX_STREAMS`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginQueryIndexed(int target, int index, int id)`
`static void`
`glDrawTransformFeedbackStream(int mode, int id, int stream)`
`static void`
`glEndQueryIndexed(int target, int index)`
`static void`
`glGetQueryIndexed(int target, int index, int pname, IntBuffer params)`
`static int`
`glGetQueryIndexedi(int target, int index, int pname)`
Overloads glGetQueryIndexediv.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_TRANSFORM_FEEDBACK_BUFFERS

public static final int GL_MAX_TRANSFORM_FEEDBACK_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_STREAMS

public static final int GL_MAX_VERTEX_STREAMS
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glDrawTransformFeedbackStream

public static void glDrawTransformFeedbackStream(int mode, int id, int stream)

### glBeginQueryIndexed

public static void glBeginQueryIndexed(int target, int index, int id)

### glEndQueryIndexed

public static void glEndQueryIndexed(int target, int index)

### glGetQueryIndexed

public static void glGetQueryIndexed(int target, int index, int pname, IntBuffer params)

### glGetQueryIndexedi

public static int glGetQueryIndexedi(int target, int index, int pname)
Overloads glGetQueryIndexediv.